Package it.ernytech.tdlib

## Class TdApi.UpdateInstalledStickerSets

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateInstalledStickerSets

Enclosing class:
  TdApi

    public static class TdApi.UpdateInstalledStickerSets
    extends TdApi.Update

The list of installed sticker sets was updated.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isMasks` True, if the list of installed mask sticker sets was updated.
`long[]` `stickerSetIds` The new list of installed ordinary sticker sets.

### Constructor Summary

Constructors
`UpdateInstalledStickerSets()` Default constructor.
`UpdateInstalledStickerSets​(boolean isMasks, long[] stickerSetIds)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### isMasks

    public boolean isMasks

True, if the list of installed mask sticker sets was updated.

#### stickerSetIds

    public long[] stickerSetIds

The new list of installed ordinary sticker sets.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateInstalledStickerSets

    public UpdateInstalledStickerSets()

Default constructor.

#### UpdateInstalledStickerSets

    public UpdateInstalledStickerSets​(boolean isMasks,
                                      long[] stickerSetIds)

Constructor for initialization of all fields.

Parameters:
  `isMasks` - True, if the list of installed mask sticker sets was updated.
  `stickerSetIds` - The new list of installed ordinary sticker sets.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR